package com.bicloud.mapper;

import com.bicloud.pojo.dto.LiteratureCreateDto;
import com.bicloud.pojo.dto.LiteraturePageQueryDto;
import com.bicloud.pojo.vo.LiteratureListVo;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface LiteratureMapper {

    // 新增：插入 biology_document_info
    int insertDocument(LiteratureCreateDto dto);

    // 删除：软删除 removed=1
    int softDeleteById(Long id);

    // 分页查询：返回列表VO（PageHelper自动分页）
    Page<LiteratureListVo> pageQuery(LiteraturePageQueryDto queryDTO);
}
